
package gunav2.keymon.com.mx;

import java.io.IOException;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.PCBA;
import anywheresoftware.b4a.pc.RDebug;
import anywheresoftware.b4a.pc.RemoteObject;
import anywheresoftware.b4a.pc.RDebug.IRemote;
import anywheresoftware.b4a.pc.Debug;
import anywheresoftware.b4a.pc.B4XTypes.B4XClass;
import anywheresoftware.b4a.pc.B4XTypes.DeviceClass;

public class newinst2 implements IRemote{
	public static newinst2 mostCurrent;
	public static RemoteObject processBA;
    public static boolean processGlobalsRun;
    public static RemoteObject myClass;
    public static RemoteObject remoteMe;
	public newinst2() {
		mostCurrent = this;
	}
    public RemoteObject getRemoteMe() {
        return remoteMe;    
    }
    
public boolean isSingleton() {
		return true;
	}
    static {
        anywheresoftware.b4a.pc.RapidSub.moduleToObject.put(new B4XClass("newinst2"), "gunav2.keymon.com.mx.newinst2");
	}
     public static RemoteObject getObject() {
		return myClass;
	 }
	public RemoteObject _service;
    private PCBA pcBA;

	public PCBA create(Object[] args) throws ClassNotFoundException{
		processBA = (RemoteObject) args[1];
        _service = (RemoteObject) args[2];
        remoteMe = RemoteObject.declareNull("gunav2.keymon.com.mx.newinst2");
        anywheresoftware.b4a.keywords.Common.Density = (Float)args[3];
		pcBA = new PCBA(this, newinst2.class);
        main_subs_0.initializeProcessGlobals();
		return pcBA;
	}
public static RemoteObject __c = RemoteObject.declareNull("anywheresoftware.b4a.keywords.Common");
public static RemoteObject _pkg = RemoteObject.createImmutable("");
public static RemoteObject _svcverbose = RemoteObject.createImmutable(false);
public static RemoteObject _logcolor1 = RemoteObject.createImmutable(0);
public static RemoteObject _dateutils = RemoteObject.declareNull("b4a.example.dateutils");
public static gunav2.keymon.com.mx.main _main = null;
public static gunav2.keymon.com.mx.starter _starter = null;
public static gunav2.keymon.com.mx.subs _subs = null;
public static gunav2.keymon.com.mx.appupdater _appupdater = null;
public static gunav2.keymon.com.mx.tracker _tracker = null;
public static gunav2.keymon.com.mx.firebasemessaging _firebasemessaging = null;
public static gunav2.keymon.com.mx.mapa_rutas _mapa_rutas = null;
public static gunav2.keymon.com.mx.b4xpages _b4xpages = null;
public static gunav2.keymon.com.mx.b4xcollections _b4xcollections = null;
public static gunav2.keymon.com.mx.httputils2service _httputils2service = null;
public static gunav2.keymon.com.mx.xuiviewsutils _xuiviewsutils = null;
  public Object[] GetGlobals() {
		return new Object[] {"appUpdater",Debug.moduleToString(gunav2.keymon.com.mx.appupdater.class),"B4XCollections",Debug.moduleToString(gunav2.keymon.com.mx.b4xcollections.class),"B4XPages",Debug.moduleToString(gunav2.keymon.com.mx.b4xpages.class),"DateUtils",newinst2.mostCurrent._dateutils,"FirebaseMessaging",Debug.moduleToString(gunav2.keymon.com.mx.firebasemessaging.class),"HttpUtils2Service",Debug.moduleToString(gunav2.keymon.com.mx.httputils2service.class),"LogColor1",newinst2._logcolor1,"Main",Debug.moduleToString(gunav2.keymon.com.mx.main.class),"MAPA_RUTAS",Debug.moduleToString(gunav2.keymon.com.mx.mapa_rutas.class),"pkg",newinst2._pkg,"Service",newinst2.mostCurrent._service,"Starter",Debug.moduleToString(gunav2.keymon.com.mx.starter.class),"Subs",Debug.moduleToString(gunav2.keymon.com.mx.subs.class),"svcVerbose",newinst2._svcverbose,"Tracker",Debug.moduleToString(gunav2.keymon.com.mx.tracker.class),"XUIViewsUtils",Debug.moduleToString(gunav2.keymon.com.mx.xuiviewsutils.class)};
}
}